hedgehog-1.5: Release with confidence.

Safe Haskell | None
Language | Haskell2010

Hedgehog.Internal.TH

Synopsis

- type TExpQ a = CodeQ a
- discover :: TExpQ Group
- discoverPrefix :: String -> TExpQ Group

# Documentation

type TExpQ a = CodeQ a Source #

discover :: TExpQ Group Source #

Discover all the properties in a module.

Functions starting with `prop_` are assumed to be properties.

discoverPrefix :: String -> TExpQ Group Source #